Thread: Metamod-P Support (NOTE: Unstable and unsupported!)

Page 1 of 2 12 LastLast
Results 1 to 25 of 40
  1. #1
    Administrator JPolito's Avatar  
    Manager
    Join Date
    Apr 2004
    Posts
    7,525

    Metamod-P Support (NOTE: Unstable and unsupported!)

    Server operators that have been using a fork of Metamod-P specifically for Sven Co-op should no longer use this, but instead use the standard distribution of Metamod-P. Please also fully revert modifications in your "liblist.gam" file as you should not be modifying this, as we've needed to add extra properties to it. -- Best practise is to use the -dll launch parameter for specifying an alternative server binary such as Metamod-P to keep "liblist.gam" crisp.

    You can find the latest stable build of vanilla Metamod-P here: https://github.com/jkivilin/metamod-p/releases

    Note: Metamod is unstable when run with Sven Co-op 5.x. It was not designed with the new limits in mind. Use at your own risk.
    Last edited by GeckonCZ; 01-09-2018 at 07:48 PM.

  2. #2
    рокегмап ._. KaLo's Avatar
    Join Date
    Apr 2009
    Posts
    351

    Re: Metamod-P for 5.0

    it is still unstable...

  3. #3
    Registered User
    Join Date
    Mar 2005
    Posts
    189

    Re: Metamod-P for 5.0

    Quote Originally Posted by KaLo View Post
    it is still unstable...
    Nope, I've been running a temporary/test server with this and no crashes for hours. Maybe you have an incompatible mod or something else. AmxModX works fine (even with SCXPM and others). Hookmod works too: with a simple edit to the df_input file ("mp.dll" -> "server.dll"). The map rotation is just the default one for now. Just set it up like before and it has the same stability. Other metamods won't work, so you will have to use the one they give you here if you wish to use.
    Last edited by HL2 RULEZ; 23-01-2016 at 09:30 AM. Reason: eeee
    BLEH. BLEHEG
    BLEHHEGLAH!!!!!!!!! O.o

  4. #4
    рокегмап ._. KaLo's Avatar
    Join Date
    Apr 2009
    Posts
    351

    Re: Metamod-P for 5.0

    misfire's server is using Linux server , are you using Windows server? , if yes ....Linux server broke

  5. #5
    incognico nico's Avatar
    Join Date
    Aug 2015
    Posts
    441

    Re: Metamod-P for 5.0

    What is the correct folder and config structure for MM?

    I placed it in svencoop_addons/addons/metamod/dlls/metamod.so

    liblist.gam reads gamedll_linux "addons/metamod/dlls/metamod.so"

    metamod config.ini reads gamedll "dlls/server.so"

    I get a dll mismatch, the serve won't start. I don't know if everything is placed correctly and if the paths are correct due to the svencoop_addon folder. Any hints?

  6. #6
    Registered User
    Join Date
    Mar 2012
    Posts
    520

    Re: Metamod-P for 5.0

    I had to rename server.so to hl_i386.so and make some softlinks for OpenSSL to work.

  7. #7
    Registered User
    Join Date
    Mar 2002
    Location
    Los Angeles, CA
    Posts
    196

    Re: Metamod-P for 5.0

    Quote Originally Posted by HL2 RULEZ View Post
    Nope, I've been running a temporary/test server with this and no crashes for hours. Maybe you have an incompatible mod or something else. AmxModX works fine even with SCXPM and some other mods like fire and other simple admin mods. Hookmod works with a simple edit to the df_input file ("mp.dll" -> "server.dll"). The map rotation is just the default one. Just set it up like before and it has pretty much the same stability. Other metamods won't work (I tried all) so you will have to use the one they give you here.
    it works fine if you're playing with less than 8 people, over that it crashes frequently.

  8. #8
    Banned Solokiller's Avatar
    Join Date
    Sep 2004
    Location
    Belgium
    Posts
    3,314

    Re: Metamod-P for 5.0

    The cause of the crashes is most likely due to network messages having different sizes. Metamod and AMX will read and write data using incorrect data types, so messages end up corrupted. This can result in crashes if values are used for things like player or entity indices. This may not be possible to fix.

  9. #9
    рокегмап ._. KaLo's Avatar
    Join Date
    Apr 2009
    Posts
    351

    Re: Metamod-P for 5.0

    Quote Originally Posted by Solokiller View Post
    This may not be possible to fix.
    Seems like we need to face the truth : Time has changed , elder things passed away is inevitable ,then new things born.

    Elder things: AMXX
    New things: angelscript

    Unfortunately , I only knows a little function of AMXX (ex: if x>3 elseif ), 85% of it was an unknown domain for me.
    Even I saw the inside of AmmoMod.as , I still being confused about how it works.

    Now I wish someone has an ability to transfer AMXX plugin to an AngelScript plugin....
    Last edited by KaLo; 23-01-2016 at 07:31 AM.

  10. #10
    рокегмап ._. KaLo's Avatar
    Join Date
    Apr 2009
    Posts
    351

    Re: Metamod-P for 5.0

    (Thread #9 continues)

  11. #11
    Registered User
    Join Date
    Mar 2005
    Posts
    189

    Re: Metamod-P for 5.0

    I had 16/16 for around 8+ hours on Windows temp server. It only crashed when it ran Osprey or Afrikakorps2 (maybe because I overwrote them or something else). AMXX and Scxpm run fine. I didn't test the linux version. There's nothing from my friend and I testing that can't be done in metamod and that isn't still working, and angelscript seems like a minimalist C copy anyway. Most mappers will use the new entities or find a way to do something without it in my opinion. If you have the framework running (AMXX/ Metamod, etc..) then it's not really worth it to port to the plugins, and according to a few sources the plugins/stuff in angel script have been misbehaving (i.e. admin_slap, admin_slay slays yourself). I'm not sure if it's user retardation or not, but I find no problems with it myself. I would possible 'port' some stuff but I don't even feel it is worth doing so.
    BLEH. BLEHEG
    BLEHHEGLAH!!!!!!!!! O.o

  12. #12
    рокегмап ._. KaLo's Avatar
    Join Date
    Apr 2009
    Posts
    351

    Re: Metamod-P for 5.0

    Quote Originally Posted by HL2 RULEZ View Post
    I had 16/16 for around 8+ hours on Windows temp server. It only crashed when it ran Osprey or Afrikakorps2 (maybe because I overwrote them or something else). AMXX and Scxpm run fine.
    16/16 8hours with Metamod... really??? , we have 10/32 and it still crash fast, seems make senses , maybe Linux servers is really in trouble.

    But we need more Windows server owners shows that they have 30/30 people running over 2 hours and no crash.........or you just really lucky..

    Can you give me your server's IP?? , I want to see it too.

  13. #13
    Registered User
    Join Date
    Mar 2005
    Posts
    189

    Re: Metamod-P for 5.0

    Sure. I can host it, but it will have to populate again.
    connect 99.169.64.245:27015
    hookmod, amxmodx, scxpm (& some other mostly admin plugins)
    BLEH. BLEHEG
    BLEHHEGLAH!!!!!!!!! O.o

  14. #14
    рокегмап ._. KaLo's Avatar
    Join Date
    Apr 2009
    Posts
    351

    Re: Metamod-P for 5.0

    Yeah , I joined your server , with 14 people , scxpm and hook still running , and we beats toonrun1~toonrun2~toonrun3~blackmesaEPF , and it still not crash.

    (In linux server with metamod , it crash so fast even happened at "first map" )

    Also without all plugin , the linux server still sometimes crash...
    Last edited by KaLo; 23-01-2016 at 10:46 AM.

  15. #15
    Registered User
    Join Date
    Mar 2005
    Posts
    189

    Re: Metamod-P for 5.0

    lolol. Ya maybe something is wrong with linux but I can't test it myself.
    BLEH. BLEHEG
    BLEHHEGLAH!!!!!!!!! O.o

  16. #16
    рокегмап ._. KaLo's Avatar
    Join Date
    Apr 2009
    Posts
    351

    Re: Metamod-P for 5.0

    Can you add these plugins? , I wanna see it running in your server :3

  17. #17
    Registered User
    Join Date
    Aug 2015
    Posts
    1

    Re: Metamod-P for 5.0

    So when applying this through SvenDS, just place in sc_addons folder? I haven't messed with MM and AMX in years. Extremely rusty.

  18. #18
    Registered User
    Join Date
    Sep 2010
    Location
    Germany
    Posts
    13

    Question Re: Metamod-P for 5.0

    Quote Originally Posted by Solokiller View Post
    Metamod-P has been recompiled for 5.0, with all necessary changes made so it works properly under our engine.

    Windows and Linux binaries attached.

    Hello,

    Do you have used the last Metamod-P version 1.21p37 for recompiling ?

  19. #19
    Banned Solokiller's Avatar
    Join Date
    Sep 2004
    Location
    Belgium
    Posts
    3,314

    Re: Metamod-P for 5.0

    Yes, it was the latest Github version.

  20. #20
    Registered User
    Join Date
    Sep 2010
    Location
    Germany
    Posts
    13

    Re: Metamod-P for 5.0

    My server is runing on the last Metamod-P hmmm, but i will test your version =)

  21. #21
    Registered User
    Join Date
    Jan 2016
    Posts
    1

    Question Re: Metamod-P for 5.0

    what version of amxmod should work fine with this metamod?, should i use the amx 1.8.3 from the snapshots base? or the normal from the amx page 1.8.2 full installer?.

  22. #22
    Registered User recon224's Avatar
    Join Date
    Jan 2016
    Location
    Illinois, United States
    Posts
    70

    Re: Metamod-P for 5.0

    Quote Originally Posted by asdfz88 View Post
    what version of amxmod should work fine with this metamod?, should i use the amx 1.8.3 from the snapshots base? or the normal from the amx page 1.8.2 full installer?.
    Well I would personally use the latest STABLE build BUT take note that AMXX doesn't play nice with SC 5.0. I decided to give it a try as well and it crashed after an hour or so. There is a thread about it here:

    http://forums.svencoop.com/showthrea...er-work-in-5-0

    Keep an eye out on that thread as it seems a lot of the server owners are posting there. If you are up to the challenge, AngelScripts is the new scripting addon for SC. I myself have no knowledge of what to do but I am trying my best to understand it.

    http://forums.svencoop.com/forumdisp...27-AngelScript

  23. #23
    The Power of Aura Terrum's Avatar
    Join Date
    Jun 2006
    Location
    UK, Kent
    Posts
    54

    Re: Metamod-P for 5.0

    I managed to get it working on my servers. But the kick/ban commands don't do anything for some reason (they show the 'ADMIN <name> Kicked: <name>' in the chat, but it doesn't actually kick them.

    I made a thread about this here: http://forums.svencoop.com/showthrea...rking?p=511987

    Hope I can get some help
    Thanks,
    Terrum.


    http://www.epichosts.co.uk - Get a Sven Co-op 5 Server with 32 slots for only £5.99/$9 a month!

  24. #24
    Not in the circlejerk S. H. Lynx's Avatar
    Join Date
    Sep 2009
    Location
    Santiago, Chile
    Posts
    186

    Re: Metamod-P for 5.0

    I can confirm Metamod-P for 5.0 crashes the server on Linux.

    I'll post the log when I arrive home.

    Servidor Hispano de Sven Co-op

    Current HN: Luces en Babel / Babylon (Steam) - I no longer use S. H. Lynx on my work.
    SteamID

  25. #25
    Registered User recon224's Avatar
    Join Date
    Jan 2016
    Location
    Illinois, United States
    Posts
    70

    Re: Metamod-P for 5.0

    One of the problems I have encountered is that, after enabling MM/AMXX, players become invulnerable to enemies. I have tried looking to see what could be causing this, whether it was a command being executed or whatnot, but could not find a thing. Anyone else have this issue?

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •